Subject: [dhcwg] DHCPv6 Relay Agent Echo Request Option

From: Marcus Goller <[email-masked]>
Date: Wed, 19 May 2010 10:30:00 +0200

Hi,

I would like a DHCPv6 server to echo back an option as done in IPv4.
The option in question would be the equivalent of the option 82 in
IPv4, a CableLabs vendor specific option in our case (cable
environment). I stumbled across RFC 4994, which seems to provide what
we need. Looking at the defined message format, my understanding is
that I cannot request the server to echo back a specific VSIO
sub-option (as I cannot specify an enterprise number or sub-option
value), but I would have to request the whole option 17 to be echoed
back. Am I correct here in assuming that this is the way to achieve
what we want?

Thank you,

Marcus